using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VeterinaryContracts.BindingModels;
using VeterinaryContracts.ViewModels;
using VeterinaryContracts.SearchModels;

namespace VeterinaryContracts.BusinessLogicContracts
{
	public interface IServiceLogic
	{
		List<ServiceViewModel>? ReadList(ServiceSearchModel? model);
		ServiceViewModel? ReadElement(ServiceSearchModel model);
		bool Create(ServiceBindingModel model);
		bool Update(ServiceBindingModel model);
		bool Delete(ServiceBindingModel model);
	}
}
